login   |    register
Site Talk
Site announcements, comments, or feedback about the site.
Google Chrome warning
marcb
Visit this Community
Overijssel, Netherlands
Joined: March 25, 2006
KitMaker: 990 posts
Armorama: 977 posts
Posted: Saturday, October 06, 2018 - 05:39 AM UTC
I'm getting a warning that the site is unsafe. (Certificate has expired.) Chrome doesn't let you ingnore this, so I have to use another browser to acces Armorama.

How do I solve this?

Regards,

Marc

Ed. I changed my password, and no it works again...
SgtRam
Staff MemberEditor-in-Chief
AEROSCALE
#197
Visit this Community
Ontario, Canada
Joined: March 06, 2011
KitMaker: 3,939 posts
Armorama: 2,853 posts
Posted: Saturday, October 06, 2018 - 05:54 AM UTC
I am using Chrome, and am not getting that message. Ensure you are using the HTTPS address.

https://armorama.kitmaker.net/
Stickframe
#362
Visit this Community
California, United States
Joined: December 01, 2013
KitMaker: 1,426 posts
Armorama: 1,193 posts
Posted: Saturday, October 06, 2018 - 07:35 AM UTC
I received the Google warning message too. I typed Armorama into the google search bar and received the message when I clicked onto the Armorama site. I usually access the site this way - and not by entering the full address.

Thanks
Nick
SgtRam
Staff MemberEditor-in-Chief
AEROSCALE
#197
Visit this Community
Ontario, Canada
Joined: March 06, 2011
KitMaker: 3,939 posts
Armorama: 2,853 posts
Posted: Saturday, October 06, 2018 - 08:56 AM UTC
I did hear that the publishers was working on SSL issues today, so that may be part of the issue you are seeing.